Bug 977479 - enhance password tool with some usability fixes
enhance password tool with some usability fixes
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.5.0
Assigned To: Fabian Deutsch
node
: Reopened
Depends On:
Blocks: 980795
  Show dependency treegraph
 
Reported: 2013-06-24 12:14 EDT by Mike Burns
Modified: 2016-02-10 14:40 EST (History)
10 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 980795 (view as bug list)
Environment:
Last Closed: 2014-10-17 08:20:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18501 None None None Never

  None (edit)
Description Mike Burns 2013-06-24 12:14:38 EDT
Description of problem:
Primarily Usability related.

1.  Provide command list in initial text

Currently:

 Password Configuration

 Enter ? for help.

>

We could list the set_admin_password, etc there so users have some idea what to do without running help.

2.  tell the user the current state of SSH passwd auth

Old tool said "Current Status is Enabled/Disabled".  This should do something similar

3.  possibly provide overrides for some commands 
     ( admin to set admin password, root for root password, ssh for ssh, q for quit)

Optional, but might be nicer to have some quick commands that simply wrap the top level commands like:

admin --> set_admin_password
root --> set_root_password
ssh --> set_ssh_password_authentication
q --> quit
Comment 1 Fabian Deutsch 2013-08-26 06:38:40 EDT
I addressed all of your suggestions above.

The default prompt after launching the tool is now:

$ PYTHONPATH=src scripts/ovirt-config-password -v


 Password Configuration


Possible commands:
admin  Set the password of the user 'admin'
help   Show this help. [`help --all` to show all available functions]
q      Quit this tool
quit   Quit this tool
root   Set the password of the user 'root'
ssh    Enable or disable the SSH password authentication

[INFO] SSH password authentication is currently disabled

>
Comment 2 Sandro Bonazzola 2014-10-17 08:20:56 EDT
oVirt 3.5 has been released and should include the fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.